Name:          jonathan-core
Version:       4.1
Release:       %mkrel 1
Summary:       Distributed Object Platform (DOP) written entirely in Java
Group:         Development/Java
License:       LGPL
Url:           http://jonathan.ow2.org/
# cvs -d:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/jonathan login
# cvs -z3 -d:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/jonathan export -r JONATHAN_CORE_4_1 jonathancore
# tar czf jonathancore-4.1-src-cvs.tar.gz jonathancore
Source0:       jonathancore-4.1-src-cvs.tar.gz
Source1:       jonathan-core-%{version}.pom
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: kilim1
BuildRequires: monolog
BuildRequires: nanoxml
BuildRequires: objectweb-anttask
Requires:      kilim1
Requires:      monolog
Requires:      nanoxml
Requires:      jpackage-utils
BuildArch:     noarch

%description
Jonathan is a Distributed Object Platform (DOP) written entirely in
Java. Jonathan was developed originally at the research labs of France
Telecom in the context of the European project ReTINA, whose aim was to
define an architecture for telecommunications distributed environments.
Telecommunications applications such as multimedia services have
stringent requirements in terms of scalability, adaptability and
realtime. Jonathan's response to this is through its "openness" in the
sense that contrary to standard DOPs (and in particular, most CORBA
ORBs), the abstractions that make up its internal machinery are
accessible by an application programmer and may be specialized to meet
specific requirements.

Jonathan is organised around a very small kernel (namely Kilim) that
essentially lets the infrastructure components communicate. Currently,
these components consist of a number of independently developed
protocols, marshallers, stub factories, etc.

Different personalities can be built using these components. A
personality is a set of normalized Application Programming Interfaces:
Java RMI is a personality, CORBA is another, COM still another...
Jonathan provides two personnalities:

   * David is a CORBA ORB implementation. David lacks a number of CORBA
     features (POA, interface repository, Dynamic Any,...) and provides only
     a naive naming service implementation. However, our ambition is to fill
     these gaps and to provide a reference CORBA implementation.

   * Jeremie provides an RMI-like programming style.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Distributed Object Platform (DOP) written entirely in Java.

This package contains javadoc for %{name}.

%prep
%setup -q -n jonathancore

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for j in $(find . -name "*.class"); do
   rm -f $j
done

pushd config
  ln -sf $(build-classpath kilim1-tools) kilim-tools.jar
  ln -sf $(build-classpath objectweb-anttask) ow_util_ant_tasks.jar
  ln -sf $(build-classpath nanoxml-lite) nanoxml-lite-2.2.1.jar
popd
pushd externals
  ln -sf $(build-classpath kilim1) kilim.jar
  ln -sf $(build-classpath monolog/ow_monolog) ow_monolog.jar
popd

%build

export CLASSPATH=$(build-classpath kilim1 kilim1-tools monolog/ow_monolog nanoxml-lite objectweb-anttask)
ant jar jdoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}

install -pm 644 output/dist/lib/jonathan-core.jar \
  %{buildroot}%{_javadir}/jonathan-core-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jonathan-core-%{version}
cp -pr output/dist/doc/javadoc/* %{buildroot}%{_javadocdir}/jonathan-core-%{version}
ln -sf jonathan-core-%{version} %{buildroot}%{_javadocdir}/jonathan-core

%files
%{_javadir}/jonathan-core-%{version}.jar
%{_javadir}/jonathan-core.jar
%doc README.txt

%files javadoc
%{_javadocdir}/jonathan-core-%{version}
%{_javadocdir}/jonathan-core



%changelog

* Sat Sep 03 2011 dmorgan <dmorgan> 4.1-1.mga2
+ Revision: 138190
- Adapt to mageia guidelines

  + gil <gil>
    - imported package jonathan-core


* Sat Jun 25 2011 gil <gil> 4.1-0.%%mkrel
- initial rpm